#ifndef _LAUNCHAPP_H_
#define _LAUNCHAPP_H_
#include <string>
#include <map>

// use the standard namespace
#if !defined (GSDL_NAMESPACE_BROKEN)
#if defined(GSDL_USE_OBJECTSPACE)
using namespace ospace::std;
#else
using namespace std;
#endif
#endif

#include "FilePath.h"

typedef map<string, FilePath, less<string> > _exeMap;

class launchApp
{
private:
  _exeMap exeMap;
  string commandline;
public:
  launchApp(FilePath &appsrc);
  void platformApp(string platform, FilePath &appsrc);
  void setCommandLine(string commands);
  int run(bool test, int deftest, string prompt, string title, bool wait);
};
#endif

